> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Stop running connector jobs

> Stop or abort all jobs for a particular connector type and collection.



## OpenAPI

````yaml /api-reference/5.9/fusion-api-connectors.json delete /connectors/jobs
openapi: 3.0.1
info:
  title: Fusion Connectors Service API
  description: A Lucidworks Fusion microservice for Connectors management.
  contact:
    name: Lucidworks
    url: www.lucidworks.com
    email: support@lucidworks.com
  license:
    name: License of API
    url: https://lucidworks.com/legal/developer-license-agreement/
  version: '5.9'
servers:
  - url: https://{FUSION HOST}/api
    description: Fusion
    variables:
      FUSION HOST:
        default: FUSION_HOST
        description: Your environment host.
  - url: https://{FUSION HOST}/api/apps/{APP_NAME}
    description: Fusion app
    variables:
      FUSION HOST:
        default: FUSION_HOST
        description: Your environment host.
      APP_NAME:
        default: APP_NAME
        description: The name of your Fusion application.
security: []
tags:
  - name: Connector Plugins API
    description: >-
      The Connector Plugins API allows you to list, install, update and
      uninstall connector plugins.
  - name: Connector Plugins Repository API
    description: >-
      The Connector Plugins Repository API gives you access to connector plugins
      from the plugin repository.
  - name: Connector Schema API
    description: >-
      The Connector Schema API provides you with the available configuration
      properties for any connector plugin type.
  - name: Datasource Configuration API
    description: >-
      The Datasource Configuration API allows you to manage datasource
      configurations for both Classic and V2 (SDK) connectors. These are the
      configurations that define settings for crawling a specific repository,
      database, API, or other content source.
  - name: Datasource Configuration V2 API
    description: >-
      The Datasource Configuration V2 API allows you to manage V2 (SDK)
      datasource configurations. These are the configurations that define
      settings for crawling a specific repository, database, API or other
      content source.
  - name: Datasource Jobs API
    description: >-
      The Datasource Jobs API allows you to to list, start or stop, and check
      the status of datasource crawl jobs.
  - name: Connectors Configuration Suggestion API
    description: >-
      The Configuration Suggestion API allows to get suggestion on which
      connector plugin can be used for crawling provided content source.
  - name: Connectors Security Filter API
    description: >-
      The Connectors Security Filters API provides security filter queries
      generated for a specific collection, user and connector type. These filter
      queries are used by the query pipeline to filter out documents returned to
      specific users and group of users depending on their permissions.
externalDocs:
  description: Lucidworks Documentation.
  url: https://doc.lucidworks.com/
paths:
  /connectors/jobs:
    delete:
      tags:
        - Datasource Jobs API
      summary: Stop running connector jobs
      description: Stop or abort all jobs for a particular connector type and collection.
      operationId: finishAllJobs
      parameters:
        - name: connector
          description: >-
            The connector type, to stop all jobs of that type.  Use
            `/connectors/plugins` to get the types for all installed connectors.
          in: query
          required: true
          schema:
            type: string
          example: lucid.web
        - name: collection
          description: The collection name, to stop all jobs linked to that collection.
          in: query
          required: true
          schema:
            type: string
          example: api-test-collection
        - name: abort
          description: '`True` to abort the job.'
          in: query
          required: false
          schema:
            type: boolean
            default: false
          example: false
        - name: waitTime
          description: >-
            The amount of time (in milliseconds) to wait for each job to be
            stopped.
          in: query
          required: false
          schema:
            type: integer
            format: int64
            default: 100
          example: 1000
      responses:
        '200':
          description: OK
          content:
            application/json:
              example:
                - resource: datasource:pokedex-crawl
                  runId: R5p478JMgc
                  startTime: 1722638217052
                  state: SUCCESS
                  time: 1722638472970
                  error: null
                  extra:
                    connectorType: lucidworks.file-upload
                    timers:
                      fetch.item.add.time:
                        meanRate: 3.5734232771378682
                        count: '901'
                    counters:
                      fetch.plugin-response:
                        count: 1
                      fetch.plugin-response.document:
                        count: 900
                      content-indexer.completed.count:
                        count: 900
                      pipeline.stages.solr-index::180977ab-c1ef-4b31-be25-9fee41476ece.processed:
                        count: 900
                      start.plugin-response:
                        count: 1
                      content-indexer.result.success.counter:
                        count: 900
                      pipeline.out:
                        count: 900
                      pipeline.in:
                        count: 900
                      pipeline.stages.field-mapping::21cd50b7-f391-45f9-b936-5ab30c60c8d5.processed:
                        count: 900
                      pipeline.stages.solr-dynamic-field-name-mapping::ff72fc68-3576-4315-814c-65a63fc72780.processed:
                        count: 900
                      pipeline.complete:
                        count: 900
                      content-indexer.document.received.count:
                        count: 900
                      stop.request:
                        count: 1
                      stop.plugin-response:
                        count: 1
                      start.request:
                        count: 1
                      fetch.request:
                        count: 1
                    configId: pokedex-crawl
                    currentBlockId: 2pd3ahxmh7
                    startTime: 1722638217052
                    id: R5p478JMgc
                    state: FINISHED
                    previousBlockId: 2pd3ahxmh7
                    endTime: 1722638224964
                    blockStartTime: 1722638216976
              schema:
                type: array
                items:
                  type: object

````